> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update flow metadata

> Updates a WhatsApp Flow's metadata (name or categories).



## OpenAPI

````yaml /openapi/endpoints/ycloud-api-v2.yaml patch /whatsapp/flows/{flowId}/metadata
openapi: 3.0.0
info:
  description: >-
    The [YCloud](https://ycloud.com) API is organized around
    [REST](https://en.wikipedia.org/wiki/Representational_state_transfer). Our
    API is designed to have predictable, resource-oriented URLs, return
    [JSON](https://www.json.org) responses, and use standard HTTP response codes
    and verbs.
  version: v2
  title: YCloud API
  termsOfService: https://ycloud.com/terms-service
  contact:
    email: service@ycloud.com
servers:
  - url: https://api.ycloud.com/v2
    description: Base URL
security:
  - api_key: []
tags:
  - name: Balance
  - name: Contacts
  - name: Custom Events
  - name: Emails
  - name: SMS
  - name: Unsubscribers
  - name: Verify
  - name: Voices
  - name: Webhook Endpoints
  - name: WhatsApp Business Accounts
  - name: WhatsApp Inbound Messages
  - name: WhatsApp Media
  - name: WhatsApp Messages
  - name: WhatsApp Blocked Users
  - name: WhatsApp Groups
  - name: WhatsApp Calling
  - name: WhatsApp Phone Numbers
  - name: WhatsApp Templates
  - name: WhatsApp Flows
  - name: Meta Business Agent
  - name: WhatsApp Group Messages
externalDocs:
  description: Homepage
  url: https://ycloud.com
paths:
  /whatsapp/flows/{flowId}/metadata:
    patch:
      tags:
        - WhatsApp Flows
      summary: Update flow metadata
      description: Updates a WhatsApp Flow's metadata (name or categories).
      operationId: whatsapp_flow-update-metadata
      parameters:
        - name: flowId
          in: path
          description: Flow ID.
          required: true
          schema:
            type: string
            example: flow-1
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Flow name.
                  example: New flow name
                categories:
                  type: array
                  description: Flow categories.
                  items:
                    $ref: '#/components/schemas/WhatsappFlowCategory'
                endpointUri:
                  type: string
                  description: The endpoint URI for the Flow.
                  example: https://example.com/flow-endpoint
        required: true
      responses:
        '200':
          description: Successfully updated the flow metadata.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the operation was successful.
                    example: true
components:
  schemas:
    WhatsappFlowCategory:
      type: string
      description: |-
        Category of the WhatsApp Flow.
        - `SIGN_UP`: For sign-up processes.
        - `SIGN_IN`: For sign-in processes.
        - `APPOINTMENT_BOOKING`: For booking appointments.
        - `LEAD_GENERATION`: For lead generation.
        - `CONTACT_US`: For contact forms.
        - `CUSTOMER_SUPPORT`: For customer support.
        - `SURVEY`: For surveys.
        - `OTHER`: For other purposes.
      enum:
        - SIGN_UP
        - SIGN_IN
        - APPOINTMENT_BOOKING
        - LEAD_GENERATION
        - CONTACT_US
        - CUSTOMER_SUPPORT
        - SURVEY
        - OTHER
  securitySchemes:
    api_key:
      type: apiKey
      name: X-API-Key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.